matrix:
  platform:
  # Temporarily disabled, until fixed in skcms:
  # - debian10
  - ubuntu2004
  - macos_arm64
  - windows
  bazel:
  - 7.x
  - 8.x
  - 9.x
  build_flags:
  - ['--compilation_mode=fastbuild']
  - ['--compilation_mode=opt']
  - ['--compilation_mode=dbg']
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@skcms//:skcms'
    build_flags: ${{ build_flags }}
